import os
import sys
import bluetooth
from bluetooth import *
from socket import *
from select import *

server_sock = BluetoothSocket( RFCOMM )

port = PORT_ANY 
server_sock.bind(("",port))
server_sock.listen(1)
print "listening on port %d" % port

uuid = "1e0ca4ea-299d-4335-93eb-27fcfe7fa848"
advertise_service( server_sock, "music controller", uuid )



print "waiting for connection"
client_sock,address = server_sock.accept()
print "Accepted connection from ",address
print client_sock


while client_sock:

	_cmd=client_sock.recv(30)
	print "received [%s]" % _cmd
	#_cmd=raw_input()
	if _cmd=="start":
		os.system('rhythmbox-client --play ./mp3/ | rhythmbox-client --play')
	elif _cmd=="next":
		os.system('rhythmbox-client --next')
	elif _cmd=="pause":
		os.system('rhythmbox-client --pause')
	elif _cmd=="previous":
		os.system('rhythmbox-client --previous | totem --previous')
	elif _cmd=="play":
		os.system('rhythmbox-client --play-pause')
	elif _cmd=="mute":
		os.system('rhythmbox-client --mute')
	elif _cmd=="vol_down":
		os.system('rhythmbox-client --volume-down')
	elif _cmd=="vol_up":
		os.system('rhythmbox-client --volume-up')
	elif _cmd=="quit":
		os.system('rhythmbox-client --quit')
	elif _cmd=="enqueue":
		c_lst=open("temp_list.m3u",'a')

		buff=client_sock.recv(1024)
		print "*****:"
		print buff
		while buff!="done":
			c_lst.writelines(buff)
			buff=client_sock.recv(1024)
			print "*****:"
			print buff
		c_lst.close()
		os.system('rhythmbox-client --enqueue temp_list.m3u')
		os.system('rm temp_list.m3u')
	elif _cmd=="replace":
		c_lst=open("temp_list.m3u",'a')
		buff=client_sock.recv(1024)
		print "*****:"
		print buff
		while buff!="done":
			c_lst.writelines(buff)
			buff=client_sock.recv(1024)
			print "*****:"
			print buff
		c_lst.close()
		os.system('rhythmbox-client --clear-queue | rhythmbox-client --enqueue temp_list.m3u')
		os.system('rm temp_list.m3u')
	else: 
		print "wrong msg"
		
print "done!!"

		


