#!/usr/bin/env python2.6

import gtk, hildon, sys, os, select, pygtk, string
import select, gobject
from bluetooth import *
import bluetooth

class mController(hildon.Program):
    def __init__(self):
        hildon.Program.__init__(self)
        self.window = hildon.Window()
        self.window.connect("delete_event", self.quit)  
        self.add_window(self.window)
        # some bt initialisations
        self.meSock = BluetoothSocket(RFCOMM)
 	service_matches = bluetooth.find_service( name = "music controller" )
	if len(service_matches) == 0:
		print "couldn't find the service"
   		sys.exit(0)

	first_match = service_matches[0]
	port = first_match["port"]
	name = first_match["name"]
	host = first_match["host"]

	print "connecting to \"%s\" on %s" % (name, host)

	self.meSock=bluetooth.BluetoothSocket( bluetooth.RFCOMM )
	self.meSock.connect((host, port))
        


 
      
        self.window.set_title("music controller")
        self.window.set_border_width(15)

	self.lst=''                 

        self.md = gtk.ListStore(str, str, str)
        self.mp3s = []

 	label3 = gtk.Label("Choose your weapons [select - mp3s]")
        
        
        self.fc= gtk.FileChooserWidget(action=gtk.FILE_CHOOSER_ACTION_OPEN, backend = None)
        filter = gtk.FileFilter()
        filter.set_name("m3u files")
        filter.add_pattern("*m3u")
        self.fc.add_filter(filter)
        self.fc.set_current_folder('/root')
        self.fc.set_select_multiple(True)



        vbox = gtk.VBox(False, 0)  # main vertical box
        hbox0 = gtk.HBox(True, True)  
        hbox1 = gtk.HBox(True, True)    # contains the buttons
	hbox2 = gtk.HBox(True, True)  
        hbox3 = gtk.HBox(True, True)    # contains the buttons
        hbox4 = gtk.HBox(True, True)    # file list
        
   
        #label0.add(image)
        img_connect = gtk.Image()
    	img_start = gtk.Image()
    	img_play = gtk.Image()
    	img_pause = gtk.Image()
    	img_next = gtk.Image()
    	img_preivous = gtk.Image()
    	img_quit = gtk.Image()
    	img_exit = gtk.Image()
    	img_mute = gtk.Image()
	img_vol_down = gtk.Image()
	img_vol_up = gtk.Image()
	img_enqueue = gtk.Image()
	img_replace = gtk.Image()
        
    	img_connect.set_from_file("connect.png")
    	img_start.set_from_file("start.png")
    	img_quit.set_from_file("quit.png")
    	img_exit.set_from_file("exit.png")
    	
	img_play.set_from_file("play.png")
    	img_pause.set_from_file("pause.png")
    	img_preivous.set_from_file("previous.png")
    	img_next.set_from_file("next.png")

    	img_vol_up.set_from_file("vol_up.png")
    	img_vol_down.set_from_file("vol_down.png")
    	img_mute.set_from_file("mute.png")

    	img_enqueue.set_from_file("enqueue.png")
    	img_replace.set_from_file("replace.png")

        but_connect = gtk.Button() # connect
        but_connect.add(img_connect)
        but_start = gtk.Button() # start
        but_start.add(img_start)
	but_quit = gtk.Button() # quit
        but_quit.add(img_quit)
	but_exit = gtk.Button() # exit
        but_exit.add(img_exit)

        but_play = gtk.Button() # play
        but_play.add(img_play)
        but_pause = gtk.Button() # pause
        but_pause.add(img_pause) 
	but_preivous = gtk.Button() # preivous
        but_preivous.add(img_preivous)	
	but_next = gtk.Button() # next
        but_next.add(img_next)

	but_vol_up = gtk.Button() #volume up
	but_vol_up.add(img_vol_up)
	but_vol_down = gtk.Button() #volume down
	but_vol_down.add(img_vol_down)
	but_mute = gtk.Button() # mute
        but_mute.add(img_mute)
	
	but_enqueue = gtk.Button() # enqueue
        but_enqueue.add(img_enqueue)
	but_replace = gtk.Button() # replace
        but_replace.add(img_replace)

	

 

        #but_connect.connect("clicked", self.connect,self.meSock)               # connect server 

        but_start.connect("clicked", self.start,self.meSock)                 # start player
        
    	but_quit.connect("clicked", self.quit,self.meSock)               # close player

	but_exit.connect("clicked", lambda w: gtk.main_quit())  # exit application
        

        
        but_play.connect("clicked", self.play,self.meSock)                 # play    
        
        but_pause.connect("clicked", self.pause,self.meSock)               # pause 
        
        but_next.connect("clicked", self.next,self.meSock)               # next song

        but_preivous.connect("clicked", self.previous,self.meSock)               # previous song

        

    	but_vol_up.connect("clicked", self.vol_up,self.meSock)               # volume up

    	but_vol_down.connect("clicked", self.vol_down,self.meSock)               # volume down

	but_mute.connect("clicked", self.mute,self.meSock)               # mute 


	but_enqueue.connect("clicked", self.enqueue,self.meSock)               # mute 

	but_replace.connect("clicked", self.replace,self.meSock)               # mute 


        # adding buttons to hbox
        hbox0.pack_start(but_connect, False, False, True) # contains buttons
        hbox0.pack_start(but_start, False, False, True)
        hbox0.pack_start(but_quit, False, False, True)
	hbox0.pack_start(but_exit, False, False, True) # contains buttons

        hbox1.pack_start(but_play, False, False, True)
        hbox1.pack_start(but_pause, False, False, True)
	hbox1.pack_start(but_preivous, False, False, True) # contains buttons
        hbox1.pack_start(but_next, False, False, True)

	hbox2.pack_start(but_vol_up, False, False, True)
	hbox2.pack_start(but_vol_down, False, False, True) # contains buttons    
        hbox2.pack_start(but_mute, False, False, True)

        hbox3.pack_start(but_enqueue, False, False, True)
	hbox3.pack_start(but_replace, False, False, True) # contains buttons

        hbox4.pack_start(self.fc, True, True, 2)            

        self.fc.show()   
        #but_connect.show()
        but_start.show()
        but_quit.show()
        but_exit.show()

        but_play.show()
        but_pause.show()
        but_preivous.show()
        but_next.show()

	but_vol_up.show()
	but_vol_down.show()
        but_mute.show()

        but_enqueue.show()
        but_replace.show()
        
        vbox.pack_start(hbox0, False, False, 0)
        vbox.pack_start(hbox1, False, False, 0)
        vbox.pack_start(hbox2, False, False, 0)
        vbox.pack_start(hbox3, False, False, 0)
        
        vbox.pack_start(hbox4, True, True, 0)

	hbox0.show()
        hbox1.show()
	hbox2.show()
        hbox3.show()
        hbox4.show()
        self.window.add(vbox)
        vbox.show()

               
    def exit(self, *args):
        print "quiting"
        gtk.main_quit()
    
    def play(self, widget,sock):
        print 'pausing'

	sock.send("play")

    def next(self, widget,sock):

	sock.send("next")

    def previous(self, widget,sock):

	sock.send("previous")

    def mute(self, widget,sock):
	sock.send("mute")


    def quit(self, widget,sock):

	sock.send("quit")


    def start(self, widget,sock):

	sock.send("start")


    def pause(self, widget,sock):

	sock.send("pause")

    def vol_up(self, widget,sock):

	sock.send("vol_up")

    def vol_down(self, widget,sock):

	sock.send("vol_down")

    def getM3Us(self):

        file_name = self.fc.get_filenames()
        print "self.m3us", file_name
        self.md.clear()
        return file_name  #list

    def enqueue(self, widget,sock):
	    sock.send("enqueue")
	    lst = self.getM3Us()
            lst_read=open(lst[0],'r')
    	    
            lst_line = lst_read.readline()
	    print "*****:"
	    print lst_line
   	    while lst_line != "":
	    	sock.send(lst_line)
            	lst_line = lst_read.readline()
	    	print "*****:"
	    	print lst_line
            sock.send("done")
	    lst_read.close()

    def replace(self, widget,sock):
	    sock.send("replace")
	    lst = self.getM3Us()
	    print lst
            lst_read=open(lst[0],'r')
    	    
            lst_line = lst_read.readline()
	    print "*****:"
	    print lst_line
   	    while lst_line != "":
	    	sock.send(lst_line)
            	lst_line = lst_read.readline()
	    	print "*****:"
	    	print lst_line
            sock.send("done")
	    lst_read.close()




    #def connect(self, widget,sock):
     #       print 'connecting'
      # 
       #     service_matches = bluetooth.find_service( name = "music controller" )
	#    if len(service_matches) == 0:
   	#	 print "couldn't find the service"
   	#	 sys.exit(0)

	 #   first_match = service_matches[0]
	  #  port = first_match["port"]
	   # name = first_match["name"]
	    #host = first_match["host"]

	    #print "connecting to \"%s\" on %s" % (name, host)

	    #sock=bluetooth.BluetoothSocket( bluetooth.RFCOMM )
	    #sock.connect((host, port))



	    	
            
    def run(self):     
        self.window.show_all()
        gtk.main() 
      
if __name__ == "__main__":  
    mController().run()    
    
    
         
